> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete job

> Delete a post-processing job from the batch processor and delete created objects

## DELETE /batch-processor/:id

This endpoint deletes a specific Batch Processor job. If the job has associated objects stored in Daily's S3 bucket, this call will also delete those objects.

Objects stored in a custom bucket are not deleted. The API response is the same as [Get job status](/reference/rest-api/batch-processor/reference/get-job). The `output` key in the response provides enough information to delete any object stored in the custom bucket.

### Response definitions

Top-level:

| Attribute Name | Type | Description | Example |
| - | - | - | - |
| `id` | `string` | The ID of the job | "3ab8faa2-8ba2-4ee6-bd15-003a92c18245" |
| `preset` | `string` | The preset given when submitting the job | "recordingId" |
| `status` | `string` | The status of the job: \["submitted", "processing", "finished", "error"] | "finished" |
| `input` | `object` | The input configuration | `{...}` |
| `output` | `object` | The output attributes | `{...}` |
| `error` | `string` | Details of error | "Failed to delete transcriptions" |

In the `input` object:

| Attribute Name | Type | Description | Example |
| - | - | - | - |
| `sourceType` | `string` | The `sourceType` given when submitting the job | "recordingId" |
| `recordingId` | `string` | The recording ID (when using this `sourceType`) | "uuiasdfe-8ba2-4ee6-bd15-003a92c18245" |
| `uri` | `string` | The video/audio link URL (when using this `sourceType`) | "[https://direct-url-to/file.mp4](https://direct-url-to/file.mp4)" |

In the `output` object:

| Attribute Name | Type | Description | Example |
| - | - | - | - |
| `transcription` | `list` | A list of transcript outputs | `[...]` |
| `summary` | `object` | Output for the summary job | `{...}` |

In the `output.transcription` list:

| Attribute Name | Type | Description | Example |
| - | - | - | - |
| `format` | `string` | The filetype of the transcript | "txt" |
| `s3Config.key` | `string` | The S3 object location of the file | "bucket-name/uuiasdfe-8ba2-4ee6-bd15-003a92c18245/transcript/output.txt" |
| `s3Config.bucket` | `string` | The S3 bucket name | "bucket-name" |
| `s3Config.region` | `string` | The S3 region for the output | "us-west-2" |

In the `output.summary` object:

| Attribute Name | Type | Description | Example |
| - | - | - | - |
| `format` | `string` | The filetype of the summary | "txt" |
| `s3Config.key` | `string` | The S3 object location of the file | "your-daily-domain/uuiasdfe-8ba2-4ee6-bd15-003a92c18245/transcript/output.txt" |
| `s3Config.bucket` | `string` | The S3 bucket name | "bucket-name" |
| `s3Config.region` | `string` | The S3 region for the output | "us-west-2" |

### Examples

<Tabs>
  <Tab title="Request">
    ```curl theme={null}
    curl --request DELETE -H "Content-Type: application/json" \
         -H "Authorization: Bearer $TOKEN" \
         https://api.daily.co/v1/batch-processor/uuiasdfe-8ba2-4ee6-bd15-003a92c18245
    ```
  </Tab>

  <Tab title="200 OK (Job finished)">
    ```json theme={null}
    {
      "id": "uuiasdfe-8ba2-4ee6-bd15-003a92c18245",
      "preset": "summarize",
      "status": "deleted",
      "input": {
        "sourceType": "uri",
        "uri": "https://direct-url-to/file.mp4"
      },
      "output": {
        "transcription": [
          {
            "format": "txt",
            "s3Config": {
              "Key": "domain/3ab8faa2-8ba2-4ee6-bd15-003a92c18245/transcript/output.txt",
              "bucket": "batch-processing",
              "region": "us-west-2"
            }
          }
        ],
        "summarize": {
          "format": "txt",
          "s3Config": {
            "key": "domain/3ab8faa2-8ba2-4ee6-bd15-003a92c18245/soap/output",
            "bucket": "batch-processing",
            "region": "us-west-2"
          }
        }
      }
    }
    ```
  </Tab>

  <Tab title="200 OK (Job error)">
    ```json theme={null}
    {
      "id": "7b8d17cf-0f37-436f-94f8-3726c10de557",
      "preset": "summarize",
      "status": "error",
      "input": {
        "sourceType": "uri",
        "uri": "https://direct-url-to/file.mp4"
      },
      "output": {},
      "error": "Failed to delete transcriptions"
    }
    ```
  </Tab>
</Tabs>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.